Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 4305)
@@ -33,9 +33,9 @@
 using HeuristicLab.Hive.Contracts;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.Hive.Slave.Communication.SlaveService;
+using HeuristicLab.Hive.Contracts.ResponseObjects;
+using HeuristicLab.Hive.Slave.Communication.Properties;
 
 namespace HeuristicLab.Hive.Slave.Communication {
-  using Service = HeuristicLab.Hive.Slave.Communication.ServerService;
-  using HeuristicLab.Hive.Slave.Communication.ServerService;
-  using HeuristicLab.Hive.Contracts.ResponseObjects;
 
   /// <summary>
@@ -94,5 +94,4 @@
 
         Logger.Debug("Registring new Events");
-        proxy.LoginCompleted += new EventHandler<LoginCompletedEventArgs>(proxy_LoginCompleted);
         proxy.GetStreamedJobCompleted += new EventHandler<GetStreamedJobCompletedEventArgs>(proxy_GetStreamedJobCompleted);
         proxy.StoreFinishedJobResultStreamedCompleted += new EventHandler<StoreFinishedJobResultStreamedCompletedEventArgs>(proxy_StoreFinishedJobResultStreamedCompleted);
@@ -101,4 +100,6 @@
         Logger.Debug("Registered new Events");
         Logger.Debug("Opening the Connection");
+        proxy.ClientCredentials.UserName.UserName = Settings.Default.HiveUsername;
+        proxy.ClientCredentials.UserName.Password = Settings.Default.HivePassword;
         proxy.Open();
         Logger.Debug("Opened the Connection");
@@ -122,8 +123,4 @@
 
     private SlaveFacadeClient CreateSlaveFacadeClient() {
-      //return new SlaveFacadeClient(
-      //  HeuristicLab.Hive.Contracts.WcfSettings.GetStreamedBinding(),
-      //  new EndpointAddress("net.tcp://" + ServerIP + ":" + ServerPort + "/HiveServer/SlaveCommunicator")
-      //);
       SlaveFacadeClient client = new SlaveFacadeClient("SlaveHttpEndpoint");
       WcfSettings.SetEndpointAddress(client.Endpoint, string.Format("http://{0}:{1}/{2}", ServerIP, ServerPort, WcfSettings.SlaveServiceName));
@@ -176,26 +173,9 @@
     /// Methods for the Server Login
     /// </summary>
-    #region Login
-    public event System.EventHandler<LoginCompletedEventArgs> LoginCompleted;
-    public void LoginAsync(SlaveDto clientInfo) {
-      if (ConnState == NetworkEnum.WcfConnState.Connected) {
-        Logger.Debug("STARTED: Login Async");
-        proxy.LoginAsync(clientInfo.Id);
-      }
-    }
-    private void proxy_LoginCompleted(object sender, LoginCompletedEventArgs e) {
-      if (e.Error == null) {
-        Logger.Debug("ENDED: Login Async");
-        LoggedIn = true;
-        LoginCompleted(sender, e);
-      } else
-        HandleNetworkError(e.Error.InnerException);
-    }
-
-    public void LoginSync(SlaveDto clientInfo) {
+    public void LoginSync(SlaveDto slaveInfo) {
       try {
         if (ConnState == NetworkEnum.WcfConnState.Connected) {
           Logger.Debug("STARTED: Login Sync");
-          Response res = proxy.Login(clientInfo.Id);
+          Response res = proxy.Login(slaveInfo);
           if (res.StatusMessage != ResponseStatus.Ok) {
             Logger.Error("FAILED: Login Failed! " + res.StatusMessage);
@@ -210,7 +190,5 @@
       }
     }
-
-    #endregion
-
+    
     /// <summary>
     /// Pull a Job from the Server
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4305)
@@ -30,5 +30,4 @@
 using HeuristicLab.Hive.Slave.Common;
 using HeuristicLab.Hive.Slave.Communication;
-using HeuristicLab.Hive.Slave.Communication.ServerService;
 using HeuristicLab.Hive.Slave.Core.ClientConsoleService;
 using HeuristicLab.Hive.Slave.Core.ConfigurationManager;
@@ -36,4 +35,5 @@
 using HeuristicLab.Hive.Slave.ExecutionEngine;
 using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Slave.Communication.SlaveService;
 
 namespace HeuristicLab.Hive.Slave.Core {
@@ -76,5 +76,4 @@
       //Register all Wcf Service references
       wcfService = WcfService.Instance;
-      wcfService.LoginCompleted += new EventHandler<LoginCompletedEventArgs>(wcfService_LoginCompleted);
       wcfService.GetJobCompleted += new EventHandler<GetJobCompletedEventArgs>(wcfService_GetJobCompleted);
       wcfService.GetFinishedJobResultCompleted += new EventHandler<StoreFinishedJobResultCompletedEventArgs>(wcfService_StoreFinishedJobResultCompleted);
@@ -417,5 +416,4 @@
         wcfService.SetCalendarStatus(ConfigManager.Instance.GetClientInfo().Id, CalendarState.NotAllowedToFetch);
       }
-      beat.InterruptHeartBeatThread();
     }
 
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4302)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4305)
@@ -6,4 +6,5 @@
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Server.LINQDataAccess\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Slave.Core\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
+ConfigMerger "%SolutionDir%HeuristicLab.Hive.Slave.Communication\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Tracing\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 
